Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fontbox.ttf
Class CMAPTable

    java.lang.Object
      org.fontbox.ttf.TTFTable
          org.fontbox.ttf.CMAPTable

public class CMAPTable
extends TTFTable

A table in a true type font.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@benlitchfield.com)

Field Summary
`static int` | `ENCODING_BIG5` An encoding constant.
`static int` | `ENCODING_JOHAB` An encoding constant.
`static int` | `ENCODING_PRC` An encoding constant.
`static int` | `ENCODING_SHIFT_JIS` An encoding constant.
`static int` | `ENCODING_SYMBOL` An encoding constant.
`static int` | `ENCODING_UNICODE` An encoding constant.
`static int` | `ENCODING_WANSUNG` An encoding constant.
`static int` | `PLATFORM_WINDOWS` A constant for the platform.
`static String` | `TAG` A tag used to identify this table.

Constructor Summary
`CMAPTable()`

Method Summary
`CMAPEncodingEntry[]` | `getCmaps()`
`void` | `initData(TrueTypeFont ttf, TTFDataStream data)` This will read the required data from the stream.
`void` | `setCmaps(CMAPEncodingEntry[] cmapsValue)`

Methods inherited from class org.fontbox.ttf.TTFTable
`getCheckSum, getLength, getOffset, getTag, setCheckSum, setLength, setOffset, setTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final String TAG

  A tag used to identify this table.

  See Also:
    Constant Field Values

### PLATFORM_WINDOWS

    public static final int PLATFORM_WINDOWS

  A constant for the platform.

  See Also:
    Constant Field Values

### ENCODING_SYMBOL

    public static final int ENCODING_SYMBOL

  An encoding constant.

  See Also:
    Constant Field Values

### ENCODING_UNICODE

    public static final int ENCODING_UNICODE

  An encoding constant.

  See Also:
    Constant Field Values

### ENCODING_SHIFT_JIS

    public static final int ENCODING_SHIFT_JIS

  An encoding constant.

  See Also:
    Constant Field Values

### ENCODING_BIG5

    public static final int ENCODING_BIG5

  An encoding constant.

  See Also:
    Constant Field Values

### ENCODING_PRC

    public static final int ENCODING_PRC

  An encoding constant.

  See Also:
    Constant Field Values

### ENCODING_WANSUNG

    public static final int ENCODING_WANSUNG

  An encoding constant.

  See Also:
    Constant Field Values

### ENCODING_JOHAB

    public static final int ENCODING_JOHAB

  An encoding constant.

  See Also:
    Constant Field Values

Constructor Detail

### CMAPTable

    public CMAPTable()

Method Detail

### initData

    public void initData(TrueTypeFont ttf,
                         TTFDataStream data)
                  throws IOException

  This will read the required data from the stream.

  Overrides:
    `initData` in class `TTFTable`
  Parameters:
    `ttf` - The font that is being read.
    `data` - The stream to read the data from.
  Throws:
    `IOException` - If there is an error reading the data.

### getCmaps

    public CMAPEncodingEntry[] getCmaps()

  Returns:
    Returns the cmaps.

### setCmaps

    public void setCmaps(CMAPEncodingEntry[] cmapsValue)

  Parameters:
    `cmapsValue` - The cmaps to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD